package _02_数组练习;

public class Test1 {
    public static void main(String[] args) {
        /**
         * 需求：定义一个数组，存入1,2,3,4,5。按照要求交换索引对应的元素。
         * 交换前：1,2,3,4,5
         * 交换后：5,2,3,2,1
         */
        // 1 定义出来一个数组
        int[] arr = {1,2,3,4,5};
        // 2 遍历数组然后调转元素顺序
        for (int i = 0,j=arr.length-1; i <= j; i++,j--) {
            // 调用i 和 j 的位置
            int temp = arr[i];   // temp = 1
            arr[i]  = arr[j];     // arr[0] = arr[4]     0 = 5
            arr[j]  = temp ;
        }

        // 遍历数组
        for (int i = 0; i < arr.length; i++) {
            System.out.println(arr[i]);
        }
    }
}
